% TDcpmme_exo5_anim_avi.m : script de trac de la spirale dfinie en polaire r(theta)=a*e^(m*theta)
% et de sa dveloppe avec animation pour theta dans [-pi/2,3*pi/2], avec cration 
% d'un fichier TDcpmme_exo5_anim_avi.avi !!
%
% avec ici : a=1 et m=1/sqrt(3).
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% (c) 2005 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr

clear all;
a=1;
m=1/sqrt(3);
theta=-pi/2:0.19:3*pi/2;
ap=a*m;
mp=m;
thetafcn=inline([num2str(a,16),'*exp(theta*',num2str(m,16),')']);
thetafcnbis=inline([num2str(ap,16),'*exp(theta*',num2str(mp,16),')']);
rho=feval(thetafcn,theta);
co=cos(theta);
si=sin(theta);
M=[rho.*co;rho.*si];
rhobis=feval(thetafcnbis,theta);
cobis=cos(theta+pi/2);
sibis=sin(theta+pi/2);
C=[rhobis.*cobis;rhobis.*sibis];
clf;
mov=avifile('TDcpmme_exo5_anim_avi.avi','quality',100,'fps',10);
hold on;
%axis equal;
xlimm=[-10 10];
ylimm=[-15 3];
xlim(xlimm);
ylim(ylimm);
plot(xlimm,[0 0],'k:');
plot([0 0],ylimm,'k:');
for j=1:length(theta)
   plot(M(1,j),M(2,j),'.b');
   plot(C(1,j),C(2,j),'.r');
   plot([M(1,j),C(1,j)],[M(2,j),C(2,j)],'g');
   F=getframe;
   mov=addframe(mov,F);
end
hold off;
mov=close(mov);




