%  script  TDcpmme_exo6_anim_avi.m : trac de l'astrode et de sa dveloppe
%  (pour a=1) avec animation et avec cration 
%  d'un fichier TDcpmme_exo5_anim_avi.avi !!
%
% Trac anim de la courbe dfinie en paramtrique par 
% X(t)=cos^3(t),
% Y(t)=sin^3(t),
% pour t dans [0,2pi],
% Les points suivants sont tracs :  P, Q, M et N (voir nonc)
% Puis trac de la dveloppe.
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% (c) 2005 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr

clear all;
t=0:0.1:2*pi;
c=cos(t);
s=sin(t);
c2=cos(2*t);
Ne=length(t);
ze=zeros(1,Ne);
P=[ze;s];
Q=[c;ze];
N=[c;s];
M=[c.^3;s.^3];
C=[c.*(2-c2);s.*(2+c2)];
clf;
mov=avifile('TDcpmme_exo6_anim_avi.avi','quality',100,'fps',10);
hold on;
axis equal;
xlimm=[-1.5 1.5];
xlim(xlimm);
plot(xlimm,[0 0],'k:');
plot([0 0],xlimm,'k:');
for j=1:Ne
   plot(M(1,j),M(2,j),'.r');
   plot(P(1,j),P(2,j),'.b');
   plot(N(1,j),N(2,j),'.b');
   plot(Q(1,j),Q(2,j),'.b');
   plot([P(1,j),Q(1,j)],[P(2,j),Q(2,j)],'b');
   plot([M(1,j),N(1,j)],[M(2,j),N(2,j)],'g');
   F=getframe;
   mov=addframe(mov,F);
end
hold off;
clf;
hold on;
axis equal;
xlimm=[-2 2];
xlim(xlimm);
plot(xlimm,[0 0],'k:');
plot([0 0],xlimm,'k:');
for j=1:Ne
   plot(C(1,j),C(2,j),'.r');
   plot(M(1,j),M(2,j),'.b');
   plot([M(1,j),C(1,j)],[M(2,j),C(2,j)],'g');
   F=getframe;
   mov=addframe(mov,F);
end
hold off;
mov=close(mov);





